// Compiled C subroutine to obtain the number of atoms for a
// particular sample of the Levy random field 

#include "LevyInfer.h"
#include <S.h>


extern "C"{

void getSampNatoms(
  char **DatFL, char **DatVL,               // The filenames for the MCMC output
  double *temps, long *nTemps,     // The temperatures for the parallel tempering process
  long *tempInd,                  // An indicator of which temperature
  long *sampNum, long *nAtoms )          // The num. of atoms will be
					 // returned in nAtoms
{

  int i, nTemps_ = (int) (*nTemps);
  TNT::Array1D<double> tempArr ( nTemps_ );
  for( i=0; i<nTemps_; i++ )
    tempArr[i] = temps[i];

  LevyInfer li( (*DatFL), (*DatVL), tempArr ); 

  (*nAtoms) = li.getSampNatoms((int) (*sampNum), (int)(*tempInd));
  return;
}

}
          


